;;; color-mate-xemacs.el -- Coloring routine for xemacs.

;; Copyright (C) HIROSHI Yokota

;; Author: Hiroshi Yokota <y5t0964@students.chiba-u.ac.jp>
;; Maintainer: Hiroshi Yokota <y5t0964@students.chiba-u.ac.jp>
;; Version: 9.1
;; Keywords: color hilit19 font-lock color-mate
;; Content-Type: text/plain; charset=x-euc-jp

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;   Color-Mate  Ver.9.1
;;         by  ͵ (y5t0964@students.chiba-u.ac.jp)
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;   Coloring mule/emacs to more easier and more fun.
;;   mule / emacs ǡѤƸ䤹̤ˤޤ
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;$Id: color-mate-xemacs.el,v 9.2 1998/03/10 05:22:10 elca Exp $

;;; Code:

;;----------------------------------------------------------------
;; xemacs ǤϤʤʬfaceǿŤƤΤǡemacs/mule
;; ưʤ㤦

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;               ե졼δͤ롣
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
(defun color-mate:xemacs-set-default-frame (alist)
  "Set default settings to coloring xemacs."

  (progn
    (require 'color-mate-util)
    ;; Ǥ color-mate-xemacs-set-current-frame Ʊ򤹤Τ
    ;; Ʊٽɬפ⤢ޤ
    (color-mate:xemacs-set-current-frame alist)

    (setq color-mate:*tmp-alist* '())
    (color-mate:_set-alist-if-integer alist 'menu-bar-lines 'menu-bar-lines)
    (color-mate:_set-alist-if-integer alist 'frame-height 'height)
    (color-mate:_set-alist-if-integer alist 'frame-width  'width)
    (color-mate:_set-alist-if-string  alist 'line-space 'line-space)

    (if (boundp 'MULE)
	;; xemacs 20  emacs20 Ʊ˹ݲ줿ʬʤ
	;; ⤷ʤСѹɬ
	(color-mate:_set-alist-if-string alist 'mule-font 'font)
      ;; emacs ˤϥ޻եȤɲ
      (color-mate:_set-alist-if-string alist 'emacs-font 'font)
      )

    (setq default-frame-plist             ;; ɥεͤϿ
	  (append color-mate:*tmp-alist*  ;; ɲ
		  default-frame-plist))
;    (setq initial-frame-plist             ;; ιԤ̵Ƥɤ
;	  (append color-mate:*tmp-alist*   ;; 񤤤Ƥ
;		  initial-frame-plist))

    ))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;                 ߤΥե졼οѹ롣
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; xemacs ǤϸߤΥե졼࿧ѹȤʤʬͤ
;; ˤȿǤƤޤ
;;
(defun color-mate:xemacs-set-current-frame (alist)
  "Coloring current frame."

  (progn
    (require 'color-mate-util)
    ;; XEmacs Ͽ face ѤƤ褦Ǥ롣
    ;; emacs/mule ȰäƤ롣

    ;; ޥݥ󥿤ȥ뿧
    (color-mate:_set-face-if-string alist nil 'mouse-color 'pointer)
    (color-mate:_set-face-if-string alist 'cursor-color nil 'text-cursor)

    ;; region
    (color-mate:_set-face-if-string alist 'region-background-color 'region-foreground-color 'zmacs-region)
    ;; modeline #1
    (set-face-underline-p 'modeline (color-mate:get-alist-value 'modeline-underlined alist))
    (color-mate:_set-face-if-string alist 'modeline-background-color 'modeline-foreground-color 'modeline)

    ;; modeline #2
    (color-mate:_set-face-if-string alist nil 'modeline-buffer-id-foreground-color 'modeline-buffer-id)
    (color-mate:_set-face-if-string alist nil 'modeline-mousable-foreground-color 'modeline-mousable)
    (color-mate:_set-face-if-string alist nil 'modeline-mousable-minor-mode-foreground-color 'modeline-mousable-minor-mode)

    ;; background/foreground
    (color-mate:_set-face-if-string alist 'frame-background-color 'frame-foreground-color 'default)
    ))


;; feature ˤ
(provide 'color-mate-xemacs)

;;; color-mate-xemacs.el ends here
